Rework buildd for lenny
authorMichael Prokop <mika@grml.org>
Thu, 19 Feb 2009 22:02:18 +0000 (23:02 +0100)
committerMichael Prokop <mika@grml.org>
Thu, 19 Feb 2009 22:02:18 +0000 (23:02 +0100)
buildd/cleanup.sh
buildd/functions.sh
buildd/grml-live_autobuild_grml-large_lenny.sh [moved from buildd/grml-live_autobuild_grml-large_etch.sh with 88% similarity]
buildd/grml-live_autobuild_grml-medium_lenny.sh [moved from buildd/grml-live_autobuild_grml-medium_etch.sh with 86% similarity]
buildd/grml-live_autobuild_grml-small_lenny.sh [moved from buildd/grml-live_autobuild_grml-small_etch.sh with 87% similarity]
buildd/grml-live_autobuild_grml64-large_lenny.sh [moved from buildd/grml-live_autobuild_grml64-large_etch.sh with 90% similarity]
buildd/grml-live_autobuild_grml64-medium_lenny.sh [moved from buildd/grml-live_autobuild_grml64-medium_etch.sh with 86% similarity]
buildd/grml-live_autobuild_grml64-small_lenny.sh [moved from buildd/grml-live_autobuild_grml64-small_etch.sh with 87% similarity]
buildd/link_latest.sh
buildd/upload_isos.sh
debian/changelog

index 69e48bb..9a4d5f6 100755 (executable)
@@ -4,7 +4,6 @@
 # Authors:       grml-team (grml.org), (c) Michael Prokop <mika@grml.org>
 # Bug-Reports:   see http://grml.org/bugs/
 # License:       This file is licensed under the GPL v2 or any later version.
-# Latest change: Sun Dec 09 18:02:43 CET 2007 [mika]
 ################################################################################
 
 set -e
@@ -20,8 +19,8 @@ cd $MIRROR_DIRECTORY || exit 2
 DAYS=3
 
 REMOVE_ME=""
-for flavour in grml-small_etch grml-small_sid grml-medium_etch grml-medium_sid grml_sid grml_etch \
-               grml64-small_etch grml64-small_sid grml64-medium_etch grml64-medium_sid grml64_sid grml64_etch ; do
+for flavour in grml-small_lenny grml-small_sid grml-medium_lenny grml-medium_sid grml_sid grml_lenny \
+               grml64-small_lenny grml64-small_sid grml64-medium_lenny grml64-medium_sid grml64_sid grml64_lenny ; do
   FILE_COUNT=$(ls -1 $flavour/$flavour*.iso | wc -l)
   if [ "$FILE_COUNT" -gt "$DAYS" ] ; then
      FILES=$(ls -1 $flavour/$flavour*.iso | tail -"$DAYS")
index b8652ff..094d303 100755 (executable)
@@ -59,7 +59,7 @@ grml_live_run() {
   fi
 
   grml-live -F $* $GRML_LIVE_ARCH -s $SUITE -c $CLASSES -o $OUTPUT_DIR \
-            -g $NAME -v $DATE -r grml-live-autobuild -i $ISO_NAME \
+            -g "$NAME-daily-$SUITE" -v $DATE -r grml-live-autobuild -i $ISO_NAME \
             1>/var/log/grml-buildd.stdout \
             2>/var/log/grml-buildd.stderr ; RC=$?
 
similarity index 88%
rename from buildd/grml-live_autobuild_grml-large_etch.sh
rename to buildd/grml-live_autobuild_grml-large_lenny.sh
index 2648576..593930e 100755 (executable)
@@ -2,8 +2,8 @@
 
 # settings for grml_live_run:
 DATE=$(date +%Y%m%d)
-ISO_NAME=grml_etch_$DATE.iso
-SUITE=etch
+ISO_NAME=grml_lenny_$DATE.iso
+SUITE=lenny
 CLASSES='GRMLBASE,GRML_FULL,LATEX_CLEANUP,RELEASE,I386'
 NAME=grml
 SCRIPTNAME="$(basename $0)"
similarity index 86%
rename from buildd/grml-live_autobuild_grml-medium_etch.sh
rename to buildd/grml-live_autobuild_grml-medium_lenny.sh
index c63b309..2303faa 100755 (executable)
@@ -2,8 +2,8 @@
 
 # settings for grml_live_run:
 DATE=$(date +%Y%m%d)
-ISO_NAME=grml-medium_etch_$DATE.iso
-SUITE=sid
+ISO_NAME=grml-medium_lenny_$DATE.iso
+SUITE=lenny
 CLASSES='GRMLBASE,GRML_MEDIUM,RELEASE,I386'
 NAME=grml-medium
 SCRIPTNAME="$(basename $0)"
similarity index 87%
rename from buildd/grml-live_autobuild_grml-small_etch.sh
rename to buildd/grml-live_autobuild_grml-small_lenny.sh
index aae97c1..d070e3a 100755 (executable)
@@ -2,8 +2,8 @@
 
 # settings for grml_live_run:
 DATE=$(date +%Y%m%d)
-ISO_NAME=grml-small_etch_$DATE.iso
-SUITE=etch
+ISO_NAME=grml-small_lenny_$DATE.iso
+SUITE=lenny
 CLASSES='GRMLBASE,GRML_SMALL,REMOVE_DOCS,RELEASE,I386'
 NAME=grml-small
 SCRIPTNAME="$(basename $0)"
similarity index 90%
rename from buildd/grml-live_autobuild_grml64-large_etch.sh
rename to buildd/grml-live_autobuild_grml64-large_lenny.sh
index 2c5384c..517852a 100755 (executable)
@@ -2,8 +2,8 @@
 
 # settings for grml_live_run:
 DATE=$(date +%Y%m%d)
-ISO_NAME=grml64_etch_$DATE.iso
-SUITE=etch
+ISO_NAME=grml64_lenny_$DATE.iso
+SUITE=lenny
 CLASSES='GRMLBASE,GRML_FULL,LATEX_CLEANUP,RELEASE,AMD64'
 NAME=grml64
 SCRIPTNAME="$(basename $0)"
similarity index 86%
rename from buildd/grml-live_autobuild_grml64-medium_etch.sh
rename to buildd/grml-live_autobuild_grml64-medium_lenny.sh
index 381aac7..58ca297 100755 (executable)
@@ -2,8 +2,8 @@
 
 # settings for grml_live_run:
 DATE=$(date +%Y%m%d)
-ISO_NAME=grml64-medium_etch_$DATE.iso
-SUITE=etch
+ISO_NAME=grml64-medium_lenny_$DATE.iso
+SUITE=lenny
 CLASSES='GRMLBASE,GRML_MEDIUM,RELEASE,AMD64'
 NAME=grml64-medium
 SCRIPTNAME="$(basename $0)"
similarity index 87%
rename from buildd/grml-live_autobuild_grml64-small_etch.sh
rename to buildd/grml-live_autobuild_grml64-small_lenny.sh
index d2779ef..26828f9 100755 (executable)
@@ -2,8 +2,8 @@
 
 # settings for grml_live_run:
 DATE=$(date +%Y%m%d)
-ISO_NAME=grml64-small_etch_$DATE.iso
-SUITE=etch
+ISO_NAME=grml64-small_lenny_$DATE.iso
+SUITE=lenny
 CLASSES='GRMLBASE,GRML_SMALL,REMOVE_DOCS,RELEASE,AMD64'
 NAME=grml64-small
 SCRIPTNAME="$(basename $0)"
index 82e9e9e..883f27a 100755 (executable)
@@ -14,8 +14,8 @@ set -e
 [ -n "$MIRROR_DIRECTORY" ] || exit 1
 cd $MIRROR_DIRECTORY || exit 2
 
-for flavour in grml-small_etch grml-small_sid grml-medium_etch grml-medium_sid grml_sid grml_etch \
-               grml64-small_etch grml64-small_sid grml64-medium_etch grml64-medium_sid grml64_sid grml64_etch ; do
+for flavour in grml-small_lenny grml-small_sid grml-medium_lenny grml-medium_sid grml_sid grml_lenny \
+               grml64-small_lenny grml64-small_sid grml64-medium_lenny grml64-medium_sid grml64_sid grml64_lenny ; do
   ISO="$(ls -1 $flavour/*.iso | tail -1)"
   if [ -n "$ISO" ] ; then
      ln -sf $ISO $(basename ${ISO%%_[0-9]*})_latest.iso
index 0d89e9f..6166077 100755 (executable)
@@ -4,7 +4,6 @@
 # Authors:       grml-team (grml.org), (c) Michael Prokop <mika@grml.org>
 # Bug-Reports:   see http://grml.org/bugs/
 # License:       This file is licensed under the GPL v2 or any later version.
-# Latest change: Sun Dec 16 22:07:02 CET 2007 [mika]
 ################################################################################
 
 . /etc/grml/grml-buildd.conf || exit 1
@@ -20,8 +19,8 @@ for file in *.iso ; do
     chmod 664 "${file}".md5
 done
 
-for flavour in grml-small_etch grml-small_sid grml-medium_etch grml-medium_sid grml_sid grml_etch \
-               grml64-small_etch grml64-small_sid grml64-medium_etch grml64-medium_sid grml64_sid grml64_etch ; do
+for flavour in grml-small_lenny grml-small_sid grml-medium_lenny grml-medium_sid grml_sid grml_lenny \
+               grml64-small_lenny grml64-small_sid grml64-medium_lenny grml64-medium_sid grml64_sid grml64_lenny ; do
     rsync --times --partial -az --quiet $flavour* $RSYNC_MIRROR/$flavour/
 done
 
index f0d2cba..7154de8 100644 (file)
@@ -4,8 +4,14 @@ grml-live (0.9.9) unstable; urgency=low
   * Drop package tspc from GRML_FULL (see #462738 and #515193)
   * Add mc to GRML_MEDIUM (on request by Christian Kuehlborn).
   * Document noautoconfig in grml-cheatcodes. Thanks to Ralf Moll!
+  * buildd:
+    - rename all etch* related scripts to lenny*
+    - adjust scripts to use "lenny" instead of "stable" for building
+      [to avoid that "etch" is used as build name but lenny is used]
+    - use "$NAME-daily-$SUITE" in functions.sh as build name so
+      identifying ISOs while running them is easier
 
- -- Michael Prokop <mika@grml.org>  Thu, 19 Feb 2009 19:14:14 +0100
+ -- Michael Prokop <mika@grml.org>  Thu, 19 Feb 2009 23:00:25 +0100
 
 grml-live (0.9.8) unstable; urgency=low